Redmine Auth_token issue

2015-05-22 06:02 - Abdullah Bashir

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi,

I was getting 422 Authentication error when i was editing journal/comments so i posted my question here

http://stackoverflow.com/questions/30387156/redmine-auth-token-missing-when-editing-comment

Then I run rake tmp:cache:clear and now i can't even logged in

ruby 2.1.5p273 (2014-11-13 revision 48405) [x86_64-linux]

 production.log

Processing by AccountController#login as HTML

Parameters: {"utf8"=>"✓",

"authenticity_token"=>"wsQnpXOapy2ihefrjstSWVU1g8iIVrlFAnaP7wYuV4rK/wf+71adTDxM4GkZl/mSsaFPAHNmjXdtX1T/oJBz8w=

=", "back_url"=>"http://redmine.redbrick.io/", "username"=>"s", "password"=>"[FILTERED]", "login"=>"Login »"}

Can't verify CSRF token authenticity

Rendered common/error.html.erb within layouts/base (0.7ms)

Filter chain halted as :verify_authenticity_token rendered or redirected

Runing With apache2 fastcgi, only one instance.

I installed 1 plugin Agile before running rake tmp:cache:clear

History

#1 - 2015-05-22 06:18 - Toshi MARUYAMA

- Status changed from New to Needs feedback

- Priority changed from Urgent to Normal

See Submissions.

Abdullah Bashir wrote:

Then I run rake tmp:cache:clear

 You need to restart web server.

#2 - 2015-05-22 06:22 - Abdullah Bashir

I did it many times but same issue

Toshi MARUYAMA wrote:

See Submissions.

Abdullah Bashir wrote:

Then I run rake tmp:cache:clear
 You need to restart web server.

#3 - 2015-05-22 06:23 - Toshi MARUYAMA

See Submissions.

#4 - 2015-05-22 06:33 - Abdullah Bashir

I read that if you want information then it's below and if you want me to see something else then what's that?

Environment:

Redmine version                3.0.0.devel

Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux]

Rails version                  4.2.0

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.17

Git                            1.7.10.4

Filesystem

Redmine plugins:

no plugin installed

Thanks

#5 - 2015-05-22 06:37 - Toshi MARUYAMA

Abdullah Bashir wrote:

I read that if you want information then it's below and if you want me to see something else then what's that?

Environment:

Redmine version                3.0.0.devel

 Why do you use "devel"?

Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux]

Rails version                  4.2.0

 Old.

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.6.17

Git                            1.7.10.4

Filesystem

Redmine plugins:

no plugin installed

 Really? You said Agile plugin.

#6 - 2015-05-22 06:53 - Abdullah Bashir

I removed the folder from plugin to see if that's an issue but still no success. I never used that plugin just extracted it in plugin ran rake

tmp:cache:clear as nothing was showing in Admin-> plugin and now i can't login.

Redmine version 3.0.0.devel I cloned master branch so i never checked out to any version. can you tell me what version should i use?

#7 - 2015-05-22 07:18 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Closed because you use in abnormal way.

Please use forum for questions.

Abdullah Bashir wrote:

2025-05-17 2/3

https://www.redmine.org/projects/redmine/wiki/Submissions


I removed the folder from plugin to see if that's an issue but still no success.

 You need to run db:migrate if plugin has db migrate.

I never used that plugin just extracted it in plugin ran rake tmp:cache:clear

 You need to run "rake tmp:sessions:clear", too.

as nothing was showing in Admin-> plugin and now i can't login.

 Redmine version 3.0.0.devel I cloned master branch so i never checked out to any version. can you tell me what version should i use?

 You should use stable.
